package com.gic.finance.constant;
/**
 * 发起审批方类型
 * @ClassName: InitiatorTypeEnum 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/13 10:56 AM 
 */
public enum InitiatorTypeEnum {
    /**
     * 商户
     */
    ENTERPRISE(1, "商户"),
    /**
     * 运维后台
     */
    OPERATION(2, "运维后台");

    private int code;
    private String message;

    private InitiatorTypeEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public static InitiatorTypeEnum getByCode(Integer code) {
        if (code == null) {
            return null;
        }
        for (InitiatorTypeEnum typeEnum : values()) {
            if (code.intValue() == typeEnum.getCode()) {
                return typeEnum;
            }
        }
        return null;
    }

    public static String getMessageByCode(Integer code) {
        if (code == null) {
            return "--";
        }
        for (InitiatorTypeEnum typeEnum : values()) {
            if (code.intValue() == typeEnum.getCode()) {
                return typeEnum.getMessage();
            }
        }
        return "未知";
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
