package com.gic.finance.constant;
/**
 * 提现申请方类型
 * @ClassName: InvoiceTypeEnum 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/14 2:35 PM 
 */
public enum WithdrawalApplyTypeEnum {
    /**
     * 服务商
     */
    SERVICE_PROVIDER(1, "服务商"),
    /**
     * 供应商
     */
    SUPPLIER(2, "供应商");

    private int code;
    private String message;

    private WithdrawalApplyTypeEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public static String getMessageByCode(Integer code) {
        if (code == null) {
            return "--";
        }
        for (WithdrawalApplyTypeEnum typeEnum : values()) {
            if (code.intValue() == typeEnum.getCode()) {
                return typeEnum.getMessage();
            }
        }
        return "未知";
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
