package com.gic.finance.dao.mapper;

import com.gic.finance.entity.TabInvoiceManage;
import com.gic.finance.qo.InvoiceManageListQueryQO;
import org.apache.ibatis.annotations.Param;

import java.util.List;
/**
 * 发票
 * @ClassName: TabInvoiceManageMapper 
 * @Description:  
 * @author guojuxing 
 * @date 2020/9/11 11:35 AM 
 */
public interface TabInvoiceManageMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabInvoiceManage record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabInvoiceManage record);

    /**
     * 根据主键查询
     *
     * @param invoiceManageId 主键
     * @return 实体对象
     */
    TabInvoiceManage selectByPrimaryKey(Integer invoiceManageId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabInvoiceManage record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabInvoiceManage record);

    /**
     * 查询发票列表数据
     * @Title: listInvoiceManage 
     * @Description:
      * @author guojuxing
     * @param params 
     * @return  java.util.List<com.gic.finance.entity.TabInvoiceManage> 
      */
    List<TabInvoiceManage> listInvoiceManage(InvoiceManageListQueryQO params);

    /**
     * 查询
     * @Title: selectInvoiceByInitiator 
     * @Description: 
      * @author guojuxing 
     * @param initiator 发起人主键
     * @param initiateType 发起方类型
     * @return  TabInvoiceManage 
      */
    TabInvoiceManage selectInvoiceByInitiator(@Param("initiator") String initiator, @Param("initiateType") Integer initiateType);
}