package com.gic.finance.service;

import com.gic.finance.dto.CashWithdrawalDTO;
import com.gic.finance.entity.TabCashWithdrawal;
import com.gic.finance.qo.CashWithdrawalQueryListQO;
import com.github.pagehelper.Page;

/**
 * 提现管理
 * @ClassName: CashWithdrawalService 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/30 9:15 AM 
 */
public interface CashWithdrawalService {

    /**
     * 新增
     * @Title: save 
     * @Description:
      * @author guojuxing
     * @param dto 
     * @return  void 
      */
    void save(CashWithdrawalDTO dto);

    /**
     * 更新
     * @Title: updateStatus 
     * @Description:
      * @author guojuxing
     * @param record 
     * @return  void 
      */
    void update(TabCashWithdrawal record);

    /**
     * 分页查询
     * @Title: pageCashWithdrawal 
     * @Description:
      * @author guojuxing
     * @param params 
     * @return  com.github.pagehelper.Page<com.gic.finance.dto.CashWithdrawalDTO> 
      */
    Page<TabCashWithdrawal> pageCashWithdrawal(CashWithdrawalQueryListQO params);

    /**
     * 查询
     * @Title: getById 
     * @Description:
     * @author guojuxing
     * @param id 
     * @return  com.gic.finance.entity.TabCashWithdrawal 
     */
    TabCashWithdrawal getById(Integer id);

    /**
     * 根据提现流水号获取
     * @Title: getBySerialNumber 
     * @Description:
     * @author guojuxing
     * @param serialNumber 
     * @return  com.gic.finance.entity.TabCashWithdrawal 
     */
    TabCashWithdrawal getBySerialNumber(String serialNumber);
}
