package com.gic.finance.util.cashwithdrawal;

import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.finance.constant.WithdrawalStatusEnum;
import com.gic.finance.dto.CashWithdrawalDTO;
import com.gic.finance.entity.TabCashWithdrawal;
import com.gic.finance.util.ApplicationContextUtils;
import com.gic.finance.util.cashwithdrawal.event.*;

/**
 * 提现调用
 * @ClassName: StateHandler 
 * @Description:  
 * @author guojuxing 
 * @date 2020/11/6 1:41 PM 
 */
public class StateHandler {
    private static Map<WithdrawalStatusEnum, State> stateMap = new ConcurrentHashMap<>(16);

    static {
        stateMap.put(WithdrawalStatusEnum.NEW, ApplicationContextUtils.getBean(CashWithdrawalState.class));
        stateMap.put(WithdrawalStatusEnum.TO_BE_EXAMINE, ApplicationContextUtils.getBean(CheckAuthState.class));
        stateMap.put(WithdrawalStatusEnum.CANCEL, ApplicationContextUtils.getBean(CancelState.class));
        stateMap.put(WithdrawalStatusEnum.REJECT, ApplicationContextUtils.getBean(RejectState.class));
        stateMap.put(WithdrawalStatusEnum.PASS, ApplicationContextUtils.getBean(ApprovalState.class));
        stateMap.put(WithdrawalStatusEnum.COMPLETE, ApplicationContextUtils.getBean(CompleteState.class));
    }

    public static ServiceResponse<String> cashWithdrawal(WithdrawalStatusEnum state, CashWithdrawalDTO dto) {
        return stateMap.get(state).cashWithdrawal(dto);
    }

    public static ServiceResponse<Void> approval(WithdrawalStatusEnum state, TabCashWithdrawal record) {
        return stateMap.get(state).approval(record);
    }

    public static ServiceResponse<Void> reject(WithdrawalStatusEnum state, TabCashWithdrawal record) {
        return stateMap.get(state).reject(record);
    }

    public static ServiceResponse<Void> cancel(WithdrawalStatusEnum state, TabCashWithdrawal record) {
        return stateMap.get(state).cancel(record);
    }

    public static ServiceResponse<Void> complete(WithdrawalStatusEnum state, TabCashWithdrawal record) {
        return stateMap.get(state).complete(record);
    }
}
