package com.gic.finance.util.cashwithdrawal.event;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.error.ErrorCode;
import com.gic.finance.dto.CashWithdrawalDTO;
import com.gic.finance.entity.TabCashWithdrawal;
import com.gic.finance.util.cashwithdrawal.State;
import org.springframework.stereotype.Component;

/**
 * 取消审核状态
 * @ClassName: CancelState 
 * @Description:  
 * @author guojuxing 
 * @date 2020/11/6 1:38 PM 
 */
@Component
public class CancelState extends State{
    @Override
    public ServiceResponse<String> cashWithdrawal(CashWithdrawalDTO dto) {
        return ServiceResponse.failure(ErrorCode.SYSTEM_ERROR.getCode(), "已取消");
    }

    @Override
    public ServiceResponse<Void> approval(TabCashWithdrawal record) {
        return ServiceResponse.failure(ErrorCode.SYSTEM_ERROR.getCode(), "已取消");
    }

    @Override
    public ServiceResponse<Void> reject(TabCashWithdrawal record) {
        return ServiceResponse.failure(ErrorCode.SYSTEM_ERROR.getCode(), "已取消");
    }

    @Override
    public ServiceResponse<Void> cancel(TabCashWithdrawal record) {
        return ServiceResponse.failure(ErrorCode.SYSTEM_ERROR.getCode(), "已取消");
    }

    @Override
    public ServiceResponse<Void> complete(TabCashWithdrawal record) {
        return ServiceResponse.failure(ErrorCode.SYSTEM_ERROR.getCode(), "已取消");
    }
}
