package com.gic.finance.util.cashwithdrawal.event;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.error.ErrorCode;
import com.gic.finance.constant.WithdrawalStatusEnum;
import com.gic.finance.dto.CashWithdrawalDTO;
import com.gic.finance.entity.TabCashWithdrawal;
import com.gic.finance.util.cashwithdrawal.State;
import org.springframework.stereotype.Component;

/**
 * 拒绝审批状态
 * @ClassName: RejectState 
 * @Description:  
 * @author guojuxing 
 * @date 2020/11/6 11:23 AM 
 */
@Component
public class RejectState extends State{
    @Override
    public ServiceResponse<String> cashWithdrawal(CashWithdrawalDTO dto) {
        return ServiceResponse.failure(ErrorCode.SYSTEM_ERROR.getCode(), WithdrawalStatusEnum.REJECT.getMessage());
    }

    @Override
    public ServiceResponse<Void> approval(TabCashWithdrawal record) {
        return ServiceResponse.failure(ErrorCode.SYSTEM_ERROR.getCode(), WithdrawalStatusEnum.REJECT.getMessage());
    }

    @Override
    public ServiceResponse<Void> reject(TabCashWithdrawal record) {
        return ServiceResponse.failure(ErrorCode.SYSTEM_ERROR.getCode(), WithdrawalStatusEnum.REJECT.getMessage());
    }

    @Override
    public ServiceResponse<Void> cancel(TabCashWithdrawal record) {
        return ServiceResponse.failure(ErrorCode.SYSTEM_ERROR.getCode(), WithdrawalStatusEnum.REJECT.getMessage());
    }

    @Override
    public ServiceResponse<Void> complete(TabCashWithdrawal record) {
        return ServiceResponse.failure(ErrorCode.SYSTEM_ERROR.getCode(), WithdrawalStatusEnum.REJECT.getMessage());
    }
}
