package com.gic.finance.web.vo;

import com.gic.finance.constant.WithdrawalApplyTypeEnum;
import com.gic.finance.constant.WithdrawalStatusEnum;
import com.gic.finance.web.utils.DateUtils;

import java.io.Serializable;
import java.util.Date;

/**
 * 提现管理列表
 * @ClassName: CashWithdrawalListVO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/30 10:41 AM 
 */
public class CashWithdrawalListVO implements Serializable{
    private static final long serialVersionUID = 7588915723413260711L;

    /**
     *
     */
    private Integer cashWithdrawalId;

    /**
     * 申请单流水号
     */
    private String cashWithdrawalSerialNumber;

    /**
     * 申请方类型 1:服务商 2:供应商
     */
    private Integer applyType;

    private String applyTypeStr;

    /**
     * 提现金额
     */
    private Double cashWithdrawalAmount;

    /**
     * 提现状态 1:待审核 2:审核通过 3:已完成 4:已取消 5:已驳回
     */
    private Integer cashWithdrawalStatus;

    private String cashWithdrawalStatusStr;

    /**
     * 操作人姓名
     */
    private String operatorName;

    /**
     * 操作时间
     */
    private Date operatorTime;

    /**
     *
     */
    private Date createTime;

    public Integer getCashWithdrawalId() {
        return cashWithdrawalId;
    }

    public void setCashWithdrawalId(Integer cashWithdrawalId) {
        this.cashWithdrawalId = cashWithdrawalId;
    }

    public String getCashWithdrawalSerialNumber() {
        return cashWithdrawalSerialNumber;
    }

    public void setCashWithdrawalSerialNumber(String cashWithdrawalSerialNumber) {
        this.cashWithdrawalSerialNumber = cashWithdrawalSerialNumber;
    }

    public void setApplyType(Integer applyType) {
        this.applyType = applyType;
    }

    public String getApplyTypeStr() {
        return WithdrawalApplyTypeEnum.getMessageByCode(applyType);
    }

    public Double getCashWithdrawalAmount() {
        return cashWithdrawalAmount;
    }

    public void setCashWithdrawalAmount(Double cashWithdrawalAmount) {
        this.cashWithdrawalAmount = cashWithdrawalAmount;
    }

    public Integer getCashWithdrawalStatus() {
        return cashWithdrawalStatus;
    }

    public void setCashWithdrawalStatus(Integer cashWithdrawalStatus) {
        this.cashWithdrawalStatus = cashWithdrawalStatus;
    }

    public String getCashWithdrawalStatusStr() {
        return WithdrawalStatusEnum.getMessageByCode(cashWithdrawalStatus);
    }


    public String getOperatorName() {
        return operatorName;
    }

    public void setOperatorName(String operatorName) {
        this.operatorName = operatorName;
    }

    public Long getOperatorTime() {
        return DateUtils.dateToLong(operatorTime);
    }

    public void setOperatorTime(Date operatorTime) {
        this.operatorTime = operatorTime;
    }

    public Long getCreateTime() {
        return DateUtils.dateToLong(createTime);
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Override
    public String toString() {
        return super.toString();
    }
}
