package com.gic.finance.web.vo;

import com.alibaba.fastjson.JSONObject;
import org.apache.commons.lang.StringUtils;

import java.io.Serializable;
/**
 * 转账审批-优惠方式
 * @ClassName: ServiceDiscountVO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/9/11 2:35 PM 
 */
public class ServiceDiscountVO implements Serializable{
    private static final long serialVersionUID = -8918828388480825357L;
    /**
     * 优惠方式名称
     */
    private String discountTypeStr;
    /**
     * 优惠名称
     */
    private String discountName;

    /**
     * 优惠金额
     */
    private String fee;

    /**
     * 优惠详情{200:卡券}
     */
    private String discountDetail;

    private static final String COUPON_CODE = "200";


    public String getDiscountTypeStr() {
        if (StringUtils.isBlank(discountDetail)) {
            return "--";
        }
        JSONObject jsonObject = JSONObject.parseObject(discountDetail);
        if (jsonObject.containsKey(COUPON_CODE)) {
            return "卡券";
        }
        return "--";
    }

    public String getDiscountName() {
        return discountName;
    }

    public void setDiscountName(String discountName) {
        this.discountName = discountName;
    }

    public String getFee() {
        if (StringUtils.isBlank(discountDetail)) {
            return "--";
        }
        JSONObject jsonObject = JSONObject.parseObject(discountDetail);
        if (jsonObject.containsKey(COUPON_CODE)) {
            return jsonObject.getString(COUPON_CODE);
        }
        return "--";
    }

    public void setDiscountDetail(String discountDetail) {
        this.discountDetail = discountDetail;
    }

    @Override
    public String toString() {
        return super.toString();
    }
}
