package com.gic.finance.web.vo;

import java.io.Serializable;
import java.util.Date;

import com.gic.finance.constant.EnterprisePlatformTypeEnum;
import com.gic.finance.constant.TransferAccountApprovalStatusEnum;
import com.gic.finance.web.utils.DateUtils;

/**
 * 转账审批详情VO-短信套餐包
 * @ClassName: TransferApprovalListVO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/9 5:38 PM 
 */
public class TransferApprovalSmsVO implements Serializable{

    private static final long serialVersionUID = -7646329468400077405L;
    private Integer transferApprovalId;

    /**
     * 关联订单平台方（商户类型）1:GIC 2: 好办
     */
    private Integer platformType;
    /**
     * 商户类型名称
     */
    private String platformTypeStr;

    /**
     * 计划金额
     */
    private Double plannedAmount;

    /**
     * 坏账金额
     */
    private Double badAmount;

    /**
     * 验证码
     */
    private String verifyCode;

    /**
     * 审批流水号
     */
    private String approvalNumber;

    /**
     * 审批状态 1:待审批 2:已取消 3:已驳回 4:审批通过
     */
    private Integer approvalStatus;
    /**
     * 审批状态 名称
     */
    private String approvalStatusStr;

    /**
     * 审批人姓名
     */
    private String approvalName;

    /**
     * 审批人手机号码
     */
    private String approvalPhone;

    /**
     * 审批人手机号国际区号
     */
    private String approvalPhoneAreaCode;

    /**
     * 审批时间
     */
    private Date approvalTime;

    /**
     * 订单项
     */
    private String orderItemJson;

    /**
     * 支付流水号
     */
    private String payInfoSerialNumber;

    /**
     * 优惠内容
     */
    private Double couponCardContent;
    /**
     * 优惠券名
     */
    private String couponCardName;

    /**
     * 应付金额
     */
    private Double totalFee;

    /**
     * 实付金额
     */
    private Double totalFeePaid;
    /**
     *
     */
    private Date createTime;
    /**
     * 商户名称
     */
    private String enterpriseName;

    /**
     * 公司名称
     */
    private String companyName;
    /**
     * 到账金额
     */
    private Double accountAmount;

    /**
     * 总计费用
     */
    private Double totalCountFee;

    /**
     * 订单流水号
     */
    private String orderNumber;

    public Integer getTransferApprovalId() {
        return transferApprovalId;
    }

    public void setTransferApprovalId(Integer transferApprovalId) {
        this.transferApprovalId = transferApprovalId;
    }

    public void setPlatformType(Integer platformType) {
        this.platformType = platformType;
    }

    public String getPlatformTypeStr() {
        return EnterprisePlatformTypeEnum.getMessageByCode(platformType);
    }

    public Double getPlannedAmount() {
        return plannedAmount;
    }

    public void setPlannedAmount(Double plannedAmount) {
        this.plannedAmount = plannedAmount;
    }

    public Double getBadAmount() {
        return badAmount;
    }

    public void setBadAmount(Double badAmount) {
        this.badAmount = badAmount;
    }

    public String getVerifyCode() {
        return verifyCode;
    }

    public void setVerifyCode(String verifyCode) {
        this.verifyCode = verifyCode;
    }

    public String getApprovalNumber() {
        return approvalNumber;
    }

    public void setApprovalNumber(String approvalNumber) {
        this.approvalNumber = approvalNumber;
    }

    public void setApprovalStatus(Integer approvalStatus) {
        this.approvalStatus = approvalStatus;
    }

    public String getApprovalStatusStr() {
        return TransferAccountApprovalStatusEnum.getMessageBuCode(approvalStatus);
    }

    public String getApprovalName() {
        return approvalName;
    }

    public void setApprovalName(String approvalName) {
        this.approvalName = approvalName;
    }

    public Long getApprovalTime() {
        return DateUtils.dateToLong(approvalTime);
    }

    public void setApprovalTime(Date approvalTime) {
        this.approvalTime = approvalTime;
    }

    public String getApprovalPhone() {
        return approvalPhone;
    }

    public void setApprovalPhone(String approvalPhone) {
        this.approvalPhone = approvalPhone;
    }

    public String getApprovalPhoneAreaCode() {
        return approvalPhoneAreaCode;
    }

    public void setApprovalPhoneAreaCode(String approvalPhoneAreaCode) {
        this.approvalPhoneAreaCode = approvalPhoneAreaCode;
    }

    public String getOrderItemJson() {
        return orderItemJson;
    }

    public void setOrderItemJson(String orderItemJson) {
        this.orderItemJson = orderItemJson;
    }

    public String getPayInfoSerialNumber() {
        return payInfoSerialNumber;
    }

    public void setPayInfoSerialNumber(String payInfoSerialNumber) {
        this.payInfoSerialNumber = payInfoSerialNumber;
    }

    public Double getCouponCardContent() {
        return couponCardContent;
    }

    public void setCouponCardContent(Double couponCardContent) {
        this.couponCardContent = couponCardContent;
    }

    public String getCouponCardName() {
        return couponCardName;
    }

    public void setCouponCardName(String couponCardName) {
        this.couponCardName = couponCardName;
    }

    public Double getTotalFee() {
        return totalFee;
    }

    public void setTotalFee(Double totalFee) {
        this.totalFee = totalFee;
    }

    public Double getTotalFeePaid() {
        return totalFeePaid;
    }

    public void setTotalFeePaid(Double totalFeePaid) {
        this.totalFeePaid = totalFeePaid;
    }

    public Long getCreateTime() {
        return DateUtils.dateToLong(createTime);
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public Double getAccountAmount() {
        return accountAmount;
    }

    public void setAccountAmount(Double accountAmount) {
        this.accountAmount = accountAmount;
    }

    public Double getTotalCountFee() {
        return totalCountFee;
    }

    public void setTotalCountFee(Double totalCountFee) {
        this.totalCountFee = totalCountFee;
    }

    public String getOrderNumber() {
        return orderNumber;
    }

    public TransferApprovalSmsVO setOrderNumber(String orderNumber) {
        this.orderNumber = orderNumber;
        return this;
    }

    @Override
    public String toString() {
        return super.toString();
    }
}
